import { createRouter, createWebHistory } from "vue-router";

const routes = [
  { path: "/", redirect: { name: "StudentTrack" } },
  {
    path: "/mark",
    name: "Mark",
    component: () => import("@/features/mark/Mark.vue"),
  },
  {
    // 客观题检查
    path: "/check/objective-answer",
    name: "CheckObjectiveAnswer",
    component: () => import("@/features/check/ObjectiveAnswer.vue"),
  },
  {
    // 主观题检查
    path: "/check/subjective-answer",
    name: "CheckSubjectiveAnswer",
    component: () => import("@/features/check/SubjectiveAnswer.vue"),
  },
  {
    // 成绩查询-试卷轨迹
    path: "/track/student",
    name: "StudentTrack",
    component: () => import("@/features/track/Track.vue"),
  },
  {
    // 仲裁
    path: "/arbitrate",
    name: "Arbitrate",
    component: () => import("@/features/arbitrate/Arbitrate.vue"),
  },
  {
    // 打回
    path: "/reject",
    name: "Reject",
    component: () => import("@/features/reject/Reject.vue"),
  },
  // old page
  // {
  //   // 整卷批量复核
  //   path: "/admin/exam/inspected/start",
  //   component: () =>
  //     import("@/features/student/studentInspect/StudentInspect.vue"),
  // },
  // {
  //   // 批量导入复核
  //   path: "/admin/exam/inspected/import/start",
  //   component: () =>
  //     import("@/features/student/importInspect/ImportInspect.vue"),
  // },
  // {
  //   // 成绩校验
  //   path: "/admin/exam/score/verify/start",
  //   component: () => import("@/features/student/scoreVerify/ScoreVerify.vue"),
  // },
  // {
  //   // 任务批量复核
  //   path: "/admin/exam/library/inspected/start",
  //   component: () => import("@/features/library/inspect/LibraryInspect.vue"),
  // },
  // {
  //   // 质量分析
  //   path: "/admin/exam/quality",
  //   component: () => import("@/features/library/quality/Quality.vue"),
  // },
  // {
  //   // 评卷管理-任务管理-轨迹图
  //   path: "/admin/exam/track/library",
  //   component: () => import("@/features/library/libraryTrack/LibraryTrack.vue"),
  // },
  // {
  //   // 试评任务轨迹
  //   path: "/admin/exam/track/trialLibrary",
  //   name: "TrialRoute",
  //   component: () => import("@/features/library/libraryTrack/LibraryTrack.vue"),
  // },
  {
    path: "/:pathMatch(.*)*",
    name: "NotFound",
    component: () => import("@/components/PageError404.vue"),
  },
];

// 3. Create the router instance and pass the `routes` option
// You can pass in additional options here, but let's
// keep it simple for now.
const router = createRouter({
  // 4. Provide the history implementation to use. We are using the hash history for simplicity here.
  history: createWebHistory("mark"),
  routes, // short for `routes: routes`
});

export default router;
